package com.zd.exam.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

/**
 * 试卷考题备选答案对象 el_practise_qu_answer
 *
 * @author liubo
 * @date 2021-12-14
 */
@ApiModel("试卷考题备选答案")
public class ElPractiseQuAnswer extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /**
     * 试卷ID
     */
    @Excel(name = "试卷ID")
    @ApiModelProperty(value = "试卷ID")
    private Long practiseId;
    /**
     * 回答项ID
     */
    @Excel(name = "回答项ID")
    @ApiModelProperty(value = "回答项ID")
    private Long answerId;
    /**
     * 题目ID
     */
    @Excel(name = "题目ID")
    @ApiModelProperty(value = "题目ID")
    private Long quId;
    /**
     * 是否正确项
     */
    @Excel(name = "是否正确项")
    @ApiModelProperty(value = "是否正确项")
    private Integer isRight;
    /**
     * 是否选中
     */
    @Excel(name = "是否选中")
    @ApiModelProperty(value = "是否选中")
    private Integer checked;
    /**
     * 排序
     */
    @Excel(name = "排序")
    @ApiModelProperty(value = "排序")
    private Integer sort;
    /**
     * 选项标签
     */
    @Excel(name = "选项标签")
    @Length(message = "选项标签长度不能超过64")
    @ApiModelProperty(value = "选项标签")
    private String abc;

    /**
     * 题目问题
     */
    @Transient
    @ApiModelProperty(value = "题目问题")
    private String content;
    /**
     * 整题题解
     */
    @Transient
    @ApiModelProperty(value = "整题题解")
    private String analysis;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPractiseId(Long practiseId) {
        this.practiseId = practiseId;
    }

    public Long getPractiseId() {
        return practiseId;
    }

    public void setAnswerId(Long answerId) {
        this.answerId = answerId;
    }

    public Long getAnswerId() {
        return answerId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getQuId() {
        return quId;
    }

    public void setAbc(String abc) {
        this.abc = abc;
    }

    public String getAbc() {
        return abc;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public Integer getChecked() {
        return checked;
    }

    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }
}
